curl --request GET \
--url https://platform.versori.com/api/v2/o/{organisation_id}/systems/{system_id}/actions/{action_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"systemId": "<string>",
"type": "http",
"name": "<string>",
"method": "GET",
"path": "<string>",
"parameters": [
{
"name": "<string>",
"in": "path",
"required": true,
"type": "string",
"default": "<string>"
}
],
"contentType": "<string>",
"summary": "<string>",
"description": "<string>",
"graphqlQuery": "<string>",
"request": "<string>",
"response": "<string>"
}GetSystemAction returns a single action for the given system.
curl --request GET \
--url https://platform.versori.com/api/v2/o/{organisation_id}/systems/{system_id}/actions/{action_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"systemId": "<string>",
"type": "http",
"name": "<string>",
"method": "GET",
"path": "<string>",
"parameters": [
{
"name": "<string>",
"in": "path",
"required": true,
"type": "string",
"default": "<string>"
}
],
"contentType": "<string>",
"summary": "<string>",
"description": "<string>",
"graphqlQuery": "<string>",
"request": "<string>",
"response": "<string>"
}Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
OK
http, graphql GET, POST, PUT, PATCH, DELETE, HEAD, OPTIONS Path is the path of the action, which may contain templated values in curly braces.
For example, /users/{userId}. The path should be the full path relative to the base URL of the system,
the base URL containing everything before (and including) the top-level domain (.com, .gov, .org etc).
Parameters is a list of parameters which are used to configure the action. These may be
used to set values in the path, query string or headers of the request. Note that when creating an action,
if the path contains templated values in curly braces, these will automatically be converted into
parameters of type path with the name of the parameter being the name of the templated value.
Show child attributes
ContentType is the content type that this action expects to receive in the request body if any, and the content type of the response body if any. If this field is left blank, then "application/json" is assumed.
GraphQLQuery is the GraphQL query to execute for the action. This is only used if the action type is graphql.
Request is the request body of the action. This is only used if the action type is http.
Response is the response body of the action. This is only used if the action type is http.